petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetNumCells

Get the number of cells in the local piece of the DMDA. This includes ghost cells.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetNumCells(DM dm, PetscInt *numCellsX, PetscInt *numCellsY, PetscInt *numCellsZ, PetscInt *numCells)

### Input Parameter

dm -The DM object Many br

### Output Parameters

| numCellsX | - The number of local cells in the x-direction Many br
| numCellsY | - The number of local cells in the y-direction Many br
| numCellsZ | - The number of local cells in the z-direction Many br
| numCells | - The number of local cells Many br

Many br

### See Also

DMDAGetCellPoint()

Level:developer
Location:src/dm/impls/da/dalocal.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages